<?php
defined('BASEPATH') or exit('No direct script access allowed');

/**
 *
 * Model Parser_model
 *
 * This Model for ...
 *
 * @package        CodeIgniter
 * @category    Model
 * @author    Setiawan Jodi <jodisetiawan@fisip-untirta.ac.id>
 * @link      https://github.com/setdjod/myci-extension/
 * @param     ...
 * @return    ...
 *
 */

class Parser_model extends CI_Model
{

    // ------------------------------------------------------------------------

    public function __construct()
    {
        parent::__construct();
    }

    public function setInicioLicitacion($licitacionArr)
    {
        $this->db->insert('BRUTO_datos_iniciales', $licitacionArr);
        return $this->db->insert_id();
    }

    public function setLocatedContractInfo($locatedContractArr)
    {
        $this->db->insert('BRUTO_located_contracting_party', $locatedContractArr);
        return $this->db->insert_id();
    }

    public function setParty($partyArr)
    {
        $this->db->insert('BRUTO_party', $partyArr);
        return $this->db->insert_id();
    }

}

/* End of file Parser_model.php */
/* Location: ./application/models/Parser_model.php */
